# fed.cc File Reference

`#include "Object.hh"`
`#include "ObjectClass.hh"`
`#include "ObjectClassAttribute.hh"`
`#include "ObjectClassSet.hh"`
`#include "Interaction.hh"`
`#include "InteractionSet.hh"`
`#include "Dimension.hh"`
`#include "RoutingSpace.hh"`
`#include "PrettyDebug.hh"`
`#include "fed.hh"`
`#include <iostream>`
`#include <utility>`
`#include <string>`
`#include <list>`

Go to the source code of this file.

## Namespaces
namespace | certi
namespace | certi::fedparser
## Functions
int | yyparse ()
void | yyrestart (FILE *)
static pdCDebug | D ("FEDPARSER", __FILE__)
int | build (const char *filename, RootObject *root, bool verboseArg)
| Main function for parsing FED file.
void | indent ()
void | startFed ()
void | endFed ()
void | addFederation ()
void | addFedVersion ()
void | startSpaces ()
void | end ()
void | startObjects ()
void | startInteractions ()
void | startFederate ()
void | endFederate ()
void | startObject ()
void | addObjectSecLevel (string name)
void | addAttribute ()
void | endObject ()
void | startInteraction ()
void | addInteractionSecurityLevel ()
void | addObjectSecurityLevel ()
void | addParameter ()
void | endInteraction ()
void | printOrder ()
void | printTransport ()
void | startSpace ()
void | endSpace ()
void | addDimension ()
## Variables
FILE * | yyin
std::string | arg
OrderType | order
TransportType | transport
int | line_number
static RootObject * | root_object = 0
static bool | verbose = false
static int | indentation = 0
const char * | fed_filename
static std::list< ObjectClass * > | objects
static std::list< Interaction * > | interactions
static string | federate
static ObjectClassAttribute * | attribute
static Parameter * | parameter
static RoutingSpace | routing_space
static int | objectHandle = 1
static int | interactionHandle = 1
static int | attributeHandle = 1
static int | parameterHandle = 1
static int | spaceHandle = 1
static int | dimensionHandle = 1

## Function Documentation

int yyparse | ( |  | ) |

Referenced by certi::fedparser::build().

void yyrestart | ( | FILE * |  | ) |

Referenced by certi::fedparser::build().

## Variable Documentation

FILE* yyin

Referenced by certi::fedparser::build().